Skip to main content
GET
/
v2
/
runs
/
{run_id}
Get Run
curl --request GET \
  --url https://api.duvo.ai/v2/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "source": "<string>",
    "sandbox_id": "<string>",
    "started_at": "<string>",
    "completed_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "human_in_the_loop_enabled": true
  },
  "pending_human_request": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "created_at": "<string>",
    "questions": [
      {
        "question": "<string>",
        "header": "<string>",
        "options": [
          {
            "label": "<string>",
            "description": "<string>"
          }
        ],
        "multi_select": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

run_id
string<uuid>
required

The run's unique identifier

Response

Default Response

run
object
required

The run details, or null if the run no longer exists

pending_human_request
object

The pending human request blocking the run, if any